Subject: [CDNi] FW: New Version Notification for draft-seedorf-cdni-request-routing-alto-01.txt

From: Jan Seedorf <[email-masked]>
Date: Fri, 9 Mar 2012 17:42:51 +0000

Hi all,

I have uploaded a new version of the CDNI Request Routing with ALTO draft. I changed the name to draft-seedorf-cdni-request-routing-alto so that it is listed in the CDNI status pages; we agreed at last IETF that the discussions should happen mostly in the CDNI WG. As discussed in Taipei, the draft now focusses on dCDN selection with ALTO. The draft gives an example how it could work, and discusses some assumptions / considerations for using ALTO.

 - Jan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, March 09, 2012 6:40 PM
To: Jan Seedorf
Subject: New Version Notification for draft-seedorf-cdni-request-routing-alto-01.txt

A new version of I-D, draft-seedorf-cdni-request-routing-alto-01.txt has been successfully submitted by Jan Seedorf and posted to the IETF repository.

Filename:	 draft-seedorf-cdni-request-routing-alto
Revision:	 01
Title:		 CDNI Request Routing with ALTO
Creation date:	 2012-03-09
WG ID:		 Individual Submission
Number of pages: 14

Abstract:
   Network Service Providers (NSPs) are currently considering to deploy
   Content Delivery Networks (CDNs) within their networks.  As a
   consequence of this development, there is a need for interconnecting
   these local CDNs.  The necessary interfaces for inter-connecting CDNs
   are currently being defined in the Content Delivery Networks
   Interconnection (CDNI) WG.  This document focusses on the Request
   Routing Interface of CDNI, and more specifically on how the solutions
   currently being defined in the Application Layer Traffic Optimization
   (ALTO) WG can improve CDNI request routing.  The overall intention
   behind this document is to foster discussions (in the CDNI as well as
   in the ALTO WG) regarding if, how, and under what conditions ALTO can
   be useful to optimize CDNI request routing.  As basis for this
   discussion, this document provides concrete examples of how ALTO can
   be integrated within CDNI request routing and in particular in the
   process of selecting a downstream CDN.  The examples in this document
   are based on the use cases and examples currently being discussed in
   the CDNI WG.

The IETF Secretariat

---

From: Songhaibin <[email-masked]>
Date: Mon, 19 Mar 2012 12:41:52 +0000

I just read this document and find it proposes a good way to use ALTO information for downstream CDN selection. The concepts of PIDs and costs between PIDs are useful to express the footprint and delivery preferences. Here are two comments that I have:

1) monetary cost might be sensitive and not simple information to be conveyed. Existing CDN charges different content providers differently, with consideration of many factors.

2) the ALTO information provided by dCDN A and dCDN B might be from different ALTO servers, so the same PID or cost value might have different meanings and are not comparable. I think when comparing the two, we need to make sure they are from the same ALTO server. 

BR,
-Haibin

> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jan
> Seedorf
> Sent: Saturday, March 10, 2012 1:43 AM
> To: [email-masked]
> Subject: [CDNi] FW: New Version Notification for
> draft-seedorf-cdni-request-routing-alto-01.txt
> 
> Hi all,
> 
> I have uploaded a new version of the CDNI Request Routing with ALTO draft. I
> changed the name to draft-seedorf-cdni-request-routing-alto so that it is listed in
> the CDNI status pages; we agreed at last IETF that the discussions should happen
> mostly in the CDNI WG. As discussed in Taipei, the draft now focusses on dCDN
> selection with ALTO. The draft gives an example how it could work, and discusses
> some assumptions / considerations for using ALTO.
> 
>  - Jan
> 
> 
> Subject: New Version Notification for
> draft-seedorf-cdni-request-routing-alto-01.txt
> 
> A new version of I-D, draft-seedorf-cdni-request-routing-alto-01.txt has been
> successfully submitted by Jan Seedorf and posted to the IETF repository.
> 
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni

---

From: Francois Le Faucheur <[email-masked]>
Date: Tue, 20 Mar 2012 10:57:43 +0100

> 1) monetary cost might be sensitive and not simple information to be conveyed. Existing CDN charges different content providers differently, with consideration of many factors.

I agree with Songhaibin: I suspect it is not realistic to try convey "cost" information as this may be complex, multi-dimensional (eg depending on volume, time of day, peak streaming bandwidth,..) and not constrainable to pre-defined rules. I also suspect this would open a "pandora's box" (or probably better described as a "can of worms") in the area of litigation ("I received an advertisement update saying it was cheap and now you say I missed the update saying it was expensive and you want to charge me a lot").

Cheers

Francois

---

From: "Dave Oran (oran)" <[email-masked]>
Date: Tue, 20 Mar 2012 14:16:33 +0000

On Mar 20, 2012, at 5:57 AM, Francois Le Faucheur wrote:

We faced this exact issue in the design of TRIP 10+ years ago and reached the identical conclusion. Don't go there.

c.f. (TRIP) (RFC 3219) - Internet Engineering Task Force<http://www.google.com/url?sa=t&rct=j&q=trip%20rfc&source=web&cd=1&ved=0CCEQFjAA&url=http://www.ietf.org/rfc/rfc3219.txt&ei=FpFoT9j-LsGeiQLXzeTzBg&usg=AFQjCNGHASfE2iY89vvrv1g1d_EvtUrsRA>

Cheers

Francois
_______________________________________________
CDNi mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cdni

---

From: Jan Seedorf <[email-masked]>
Date: Wed, 21 Mar 2012 17:49:31 +0000

Haibin, Francois, Dave,

Thanks for your feedback. I actually share some of your concerns regarding monetary costs, especially the litigation problem. I am not arguing strongly for having monetary costs being advertised by the dCDN. I simply thought, at the end of the day, a uCDN not only selects a dCDN based on capabilities or footprint, but also on how much it has to pay to the dCDN for delivering the content (sorry, CDN is a business, and that means money plays a role ...). Such monetary costs might not be universal and static for a dCDN. Hence, why not convey e.g. per region delivery costs or similar that can change e.g. on a daily basis. ALTO could do that.

Anyway, I see that it can be problematic and if the WG is having consensus for not including monetary costs in the advertisement I am fine with it. Other opinions on this topic?

 - Jan

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Dave Oran (oran)
> Sent: Tuesday, March 20, 2012 3:17 PM
> To: Francois Le Faucheur (flefauch)
> Cc: <[email-masked]>
> Subject: Re: [CDNi] FW: New Version Notification for draft-seedorf-cdni-
> request-routing-alto-01.txt
> 
> 
> 		1) monetary cost might be sensitive and not simple
> information to be conveyed. Existing CDN charges different content
> providers differently, with consideration of many factors.
> 
> 
> 
> 	I agree with Songhaibin: I suspect it is not realistic to try convey "cost"
> information as this may be complex, multi-dimensional (eg depending on
> volume, time of day, peak streaming bandwidth,..) and not constrainable to
> pre-defined rules. I also suspect this would open a "pandora's box" (or
> probably better described as a "can of worms") in the area of litigation ("I
> received an advertisement update saying it was cheap and now you say I
> missed the update saying it was expensive and you want to charge me a
> lot").
> 
> 
> c.f. (TRIP) (RFC 3219) - Internet Engineering Task Force
> <http://www.google.com/url?sa=t&rct=j&q=trip%20rfc&source=web&cd=1
> &ved=0CCEQFjAA&url=http://www.ietf.org/rfc/rfc3219.txt&ei=FpFoT9j-
> LsGeiQLXzeTzBg&usg=AFQjCNGHASfE2iY89vvrv1g1d_EvtUrsRA>
> 
> 
> 	Cheers
> 
> 	Francois

---

From: Jan Seedorf <[email-masked]>
Date: Thu, 22 Mar 2012 12:54:19 +0000

Hi Haibin,

> I just read this document and find it proposes a good way to use ALTO
> information for downstream CDN selection. The concepts of PIDs and costs
> between PIDs are useful to express the footprint and delivery preferences.
> Here are two comments that I have:
Thanks!

> 2) the ALTO information provided by dCDN A and dCDN B might be from
> different ALTO servers, so the same PID or cost value might have different
> meanings and are not comparable. I think when comparing the two, we need
> to make sure they are from the same ALTO server.
Not necessarily. I actually would envision that each dCDN hosts its own ALTO server. Section 10.2. of the ALTO protocol draft defines an "ALTO Cost Type Registry", where it reads "it provides references to particular semantics of allocated Cost Types to be applied by both ALTO Servers and applications utilizing ALTO Clients." So there is a way to ensure a unified meaning across different ALTO servers.

 - Jan

> From: Songhaibin [mailto:[email-masked]]
> Sent: Monday, March 19, 2012 1:42 PM
> To: Jan Seedorf; [email-masked]
> Subject: RE: [CDNi] FW: New Version Notification for draft-seedorf-cdni-
> I just read this document and find it proposes a good way to use ALTO
> information for downstream CDN selection. The concepts of PIDs and costs
> between PIDs are useful to express the footprint and delivery preferences.
> Here are two comments that I have:
> 
> 1) monetary cost might be sensitive and not simple information to be
> conveyed. Existing CDN charges different content providers differently, with
> consideration of many factors.
> 
> 2) the ALTO information provided by dCDN A and dCDN B might be from
> different ALTO servers, so the same PID or cost value might have different
> meanings and are not comparable. I think when comparing the two, we need
> to make sure they are from the same ALTO server.
> 
> BR,
> -Haibin
> 
> Jan